### Method

# Gimp Image resize

#### Declaration [src]

    gboolean
    gimp_image_resize (
      GimpImage* image,
      gint new_width,
      gint new_height,
      gint offx,
      gint offy
    )

#### Description [src]

Resize the image to the specified extents.

This procedure resizes the image so that it’s new width and height are equal to the supplied parameters. Offsets are also provided which describe the position of the previous image’s content. All channels within the image are resized according to the specified parameters; this includes the image selection mask. All layers within the image are repositioned according to the specified offsets.

#### Parameters

`new_width`

  Type: `gint`

  New image width.

`new_height`

  Type: `gint`

  New image height.

`offx`

  Type: `gint`

  X offset between upper left corner of old and new images: (new - old).

`offy`

  Type: `gint`

  Y offset between upper left corner of old and new images: (new - old).

#### Return value

Type: `gboolean`

TRUE on success.